Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #2002 (new enhancement)

Opened 14 years ago

Last modified 14 years ago

DD-WRT HAL in MadWIFI?

Reported by: foodoc Assigned to:
Priority: minor Milestone:
Component: madwifi: HAL Version: trunk
Keywords: DD-WRT HAL Cc:
Patch is attached: 0 Pending:

Description

Hello!

As you might know... or not... DD-WRT has released parts of its HAL to the public.

The most notable feature is that "we" can finally control the ANI settings from userspace. Also this HAL was/is tested for Accesspoint & WDS setups (say goodbye to "stuck beacon") instead of the simple station mode that most people use...

you can get it here: hxxp://www.dd-wrt.com/ath_hal-20080613.tgz

are there any plans about a tree for us "Accesspoint" users, that need a stable & reliable connection?

Thanks!

Attachments

svn-diff (12.6 kB) - added by foodoc on 06/21/08 15:32:25.
-p0 patch to get it compiled with the ANI feature

Change History

06/16/08 17:44:21 changed by BrainSlayer

consider that this is just a testrelease and not the final version

06/16/08 17:45:11 changed by BrainSlayer

the final version will be directly released to madwifi, so please be patient until we tested it fully

06/16/08 18:56:29 changed by foodoc

oh, alright! sorry for spoiling your release... but a bigger audience can't be bad, right?

06/16/08 22:16:45 changed by BrainSlayer

its okay. i have no problems with it. nbd will commit the hal to madwifi as soon as he finished all tests. just a question of some days.

06/21/08 15:32:25 changed by foodoc

  • attachment svn-diff added.

-p0 patch to get it compiled with the ANI feature

06/21/08 15:35:01 changed by foodoc

you'll need this patch if you want to compile it on the latest svn-trunk... ;)

(follow-up: ↓ 7 ) 06/23/08 17:36:23 changed by D

can't wait

(in reply to: ↑ 6 ; follow-up: ↓ 8 ) 06/23/08 18:22:11 changed by foodoc

Replying to D:

can't wait

well, don't expect to see it anytime soon! Instead, you should buy a license for DD-WRT v24, as they are the only company that really supports the AP-Mode of Atheros Cards for the simple customer for now...

(in reply to: ↑ 7 ; follow-up: ↓ 9 ) 06/23/08 22:27:13 changed by anonymous

Replying to foodoc:

Replying to D:

can't wait

well, don't expect to see it anytime soon! Instead, you should buy a license for DD-WRT v24, as they are the only company that really supports the AP-Mode of Atheros Cards for the simple customer for now...

Will the openwrt release support turbo-g? The dd-wrt broke it

(in reply to: ↑ 8 ; follow-up: ↓ 10 ) 06/23/08 23:27:03 changed by foodoc

Replying to anonymous:

Replying to foodoc:

Replying to D:

can't wait

well, don't expect to see it anytime soon! Instead, you should buy a license for DD-WRT v24, as they are the only company that really supports the AP-Mode of Atheros Cards for the simple customer for now...

Will the openwrt release support turbo-g? The dd-wrt broke it

who said anything about openwrt?!

And no, turbo mode isn't broken. actually it's working in the current dd-wrt... but you are not allowed to use it in the 2.4ghz range... switch to 802.11a 5Ghz since there's enough room for "overlap-free" 40mhz bands!

(in reply to: ↑ 9 ) 06/24/08 00:11:05 changed by anonymous

Replying to foodoc:

Replying to anonymous:

Replying to foodoc:

Replying to D:

can't wait

well, don't expect to see it anytime soon! Instead, you should buy a license for DD-WRT v24, as they are the only company that really supports the AP-Mode of Atheros Cards for the simple customer for now...

Will the openwrt release support turbo-g? The dd-wrt broke it

who said anything about openwrt?! And no, turbo mode isn't broken. actually it's working in the current dd-wrt... but you are not allowed to use it in the 2.4ghz range... switch to 802.11a 5Ghz since there's enough room for "overlap-free" 40mhz bands!

My foo pa .. I meant hostap .. urrrr .... madwifi :-)

well, I do have this patch:

*** madwifi-trunk-r3744.orig/net80211/ieee80211_wireless.c      Sun Jun 22 11:18:18 2008
--- madwifi-trunk-r3744/net80211/ieee80211_wireless.c   Mon Jun 23 02:22:01 2008
***************
*** 662,667 ****
--- 662,679 ----
                else
                        return 1;
                break;
+       case IEEE80211_MODE_TURBO_A: //dynamic turbo a
+               if( IEEE80211_IS_CHAN_A(c) && IEEE80211_IS_CHAN_DTURBO(c) )
+                       return 0;
+               else
+                       return 1;
+               break;
+       case IEEE80211_MODE_TURBO_G: //dynamic turbo g
+               if(IEEE80211_IS_CHAN_G(c) && IEEE80211_IS_CHAN_DTURBO(c) )
+                       return 0;
+               else
+                       return 1;
+               break;
        case IEEE80211_MODE_AUTO:
                return 0;
                break;
***************
*** 2095,2100 ****
--- 2107,2114 ----
                { "3"     , IEEE80211_MODE_11G },
                { "4"     , IEEE80211_MODE_FH },
                { "5"     , IEEE80211_MODE_TURBO_STATIC_A },
+               { "6"     , IEEE80211_MODE_TURBO_G },
+               { "7"     , IEEE80211_MODE_TURBO_A },
                { NULL }
        };
        int i, j;

iwpriv ath0 turbo 1 ; iwpriv ath0 mode 6

then wlanconfig ath0 list chan

shows channel 6 as dynamic turbo-g (don't know yet if it acually works :-)

This is with the current madwifi hal. It dosn't show channel 6 as dynamic turbo-g using the dd-wrt hal ....

(follow-up: ↓ 12 ) 06/24/08 01:35:23 changed by p0g0

fwiw:

From #madwifi

Jun 16 20:26:31 <nbd>   the 'DD-WRT HAL' is actually the 'OpenWrt, DD-WRT and MakSat Technologies HAL', and it will be released officially very soon
Jun 16 20:26:45 <nbd>   the one that got posted in the ticket [this one, #2002]  is just a prerelease

(in reply to: ↑ 11 ) 06/24/08 12:08:43 changed by foodoc

Replying to p0g0:

fwiw: From #madwifi Jun 16 20:26:31 <nbd> the 'DD-WRT HAL' is actually the 'OpenWrt?, DD-WRT and MakSat? Technologies HAL', and it will be released officially very soon Jun 16 20:26:45 <nbd> the one that got posted in the ticket [this one, #2002] is just a prerelease

we know this already, see the first reply... and no, they found more bugs so it'll take "a little bit longer... again"